Update a Tax Registration
curl --request PATCH \
--url https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "<string>"
}
'import requests
url = "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}"
payload = { "number": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({number: '<string>'})
};
fetch('https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}"
payload := strings.NewReader("{\n \"number\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"number\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"number\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "txr_1792060791i3jw17d821c0",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_1792060791ha887fca16c4",
"tax_id": "eu-vat",
"number": "FR76609742408",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:51.847Z",
"updated_at": "2026-10-15T10:39:52.705Z"
}Tax Registrations
Update a Tax Registration
Updates the specified TaxRegistration by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
PATCH
/
organizations
/
{organization_id}
/
tax_registrations
/
{id}
Update a Tax Registration
curl --request PATCH \
--url https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "<string>"
}
'import requests
url = "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}"
payload = { "number": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({number: '<string>'})
};
fetch('https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}"
payload := strings.NewReader("{\n \"number\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"number\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nocotax.app/organizations/{organization_id}/tax_registrations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"number\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "txr_1792060791i3jw17d821c0",
"livemode": false,
"object": "tax_registration",
"country": "FR",
"options": null,
"organization_id": "org_1792060791ha887fca16c4",
"tax_id": "eu-vat",
"number": "FR76609742408",
"type": "standard",
"zone": "EU",
"created_at": "2026-10-15T10:39:51.847Z",
"updated_at": "2026-10-15T10:39:52.705Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the organization you want to interact with
id
Body
application/json
Response
200 - application/json
successful
The country of establishment for this tax registration
The tax ID this registration is for
Type of registration in country/zone
The tax zone (eg. EU) this registration refers to.
